Bug 30027 - installer chrashes when reading packages
installer chrashes when reading packages
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-28 11:58 EST by Henrik Madsen
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-28 12:08:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Henrik Madsen 2001-02-28 11:58:42 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows 98; DigExt)




Reproducible: Always
Steps to Reproduce:
1.during install - reading packages
2.
3.
	

Traceback (innermost last):
  File "/usr/bin/anaconda", line 450, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/gui.py", line 336, in run
    self.icw.run ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/gui.py", line 678, in run
    mainloop ()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2554, in mainloop
    _gtk.gtk_main()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 125, in __call__
    ret = apply(self.func, a)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/gui.py", line 428, in 
nextClicked
    self.setScreen (self.currentScreen, self.nextClicked)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/gui.py", line 463, in 
setScreen
    direction ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/gui.py", line 428, in 
nextClicked
    self.setScreen (self.currentScreen, self.nextClicked)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/gui.py", line 466, in 
setScreen
    new_screen = screen.getScreen ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iw/package_gui.py", line 
427, in getScreen
    self.todo.getCompsList()
  File "/tmp/updates/todo.py", line 539, in getCompsList
    self.comps = self.method.readComps(self.hdList)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/image.py", line 16, in 
readComps
    return ComponentSet(self.tree + '/RedHat/base/comps', hdlist)
  File "/usr/lib/anaconda/comps.py", line 465, in __init__
    self.readCompsFile(file, self.packages, arch, matchAllLang)
  File "/usr/lib/anaconda/comps.py", line 438, in readCompsFile
    comp.addPackage(packages[l])
  File "/usr/lib/anaconda/comps.py", line 111, in __getitem__
    return self.packages[item]
KeyError: zlib

Local variables in innermost frame:
self: <comps.HeaderListFromFile instance at 84be9a0>
item: zlib

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'progressWindow'
p6

<failed>
Comment 1 Henrik Madsen 2001-02-28 12:02:54 EST
Have also tried to use the anaconda update disk (RHBA-2000-084)

Still the same error
Comment 2 Michael Fulbright 2001-02-28 12:08:13 EST
Check VC3 and VC$ (cntl-alt-f3 and -f4) and see if you are getting read errors.

I'm pretty sure your CD is bad.
Comment 3 Michael Fulbright 2001-04-02 16:00:21 EDT
Closing due to inactivity - please reopen if you have anything to add to the bug
report.

Note You need to log in before you can comment on or make changes to this bug.